Bug 18311 - alterator-vm-0.4-alt2 не работает в системе
: alterator-vm-0.4-alt2 не работает в системе
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-12-23 13:50 by
Modified: 2009-03-19 19:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-12-23 13:50:16
SCM_SYMBOL_CHARS is deprecated.  Use scm_symbol_to_string.
SCM_STRINGP is deprecated.  Use scm_is_string instead.
SCM_STRING_LENGTH is deprecated.  Use scm_c_string_length instead.
scm_must_malloc is deprecated.  Use scm_gc_malloc and scm_gc_free instead.
SCM_STRING_CHARS is deprecated.  See the manual for alternatives.
scm_must_free is deprecated.  Use scm_gc_malloc and scm_gc_free instead.
Using pixmap name "vm/disk.png" with file extension.
Using pixmap name "vm/mounted.png" with file extension.
Using pixmap name "vm/umounted.png" with file extension.
CREATE-TASK: #<procedure #f x> ((start . #t) (operation . op-volume-mkfs))
CREATE-TASK-NODE: op-volume-mkfs mkfs "Ext2/3" #t ()
CREATE-TASK-NODE: op-volume-mkfs mkfs "XFS" #t ()
CREATE-TASK-NODE: op-volume-mkfs mkfs "JFS" #t ()
CREATE-TASK-NODE: op-volume-mkfs mkfs "ReiserFS" #t ()
CREATE-TASK-NODE: op-volume-mkfs mkfs "SWAPFS" #t ()
CREATE-TASK-NODE: op-volume-mkfs mkfs "FAT16" #t ()
ERROR: In procedure evms-set-selected-objects:
ERROR: Device or resource busy
------- Comment #1 From 2008-12-23 19:08:24 -------
Это ядро кривое оказалось. Вот так валиться:
Exception during displaying of backtrace: wrong-type-arg
ERROR: In procedure scm_lreadr:
ERROR: #<unknown port>:1:275: Unknown # object: #\<
------- Comment #2 From 2008-12-27 23:48:56 -------
Сами вы нормал.
------- Comment #3 From 2008-12-27 23:56:25 -------
alterator-vm не работоспособен в качестве модуля acc, но работает как часть
инсталлера. Такое положение вещей возникло из-за изменений в alterator,
и легко может быть починено там. Альтернатива -- существенная переработка
alterator-vm.
------- Comment #4 From 2008-12-29 12:41:14 -------
(In reply to comment #3)
> alterator-vm не работоспособен в качестве модуля acc, но работает как часть
> инсталлера. Такое положение вещей возникло из-за изменений в alterator,
> и легко может быть починено там.
Возвращать старое поведение alterator в acc я пока не планирую.
>Альтернатива -- существенная переработка
> alterator-vm.
Это было бы неплохо,
но ещё лучше прочистить evms для начала, например убрать /dev/evms/* ;)

А в alterator-vm, очень быстро переделается после того как я сделаю ещё
несколько усовершенствований в alterator (ui файл как модуль) ;)
------- Comment #5 From 2009-03-03 18:55:05 -------
Это уже не только в Сизифе, но и в 5.0
------- Comment #6 From 2009-03-10 20:10:12 -------
fixed in 0.4.1-alt1
------- Comment #7 From 2009-03-11 15:17:46 -------
ERROR: In procedure scm_lreadr:
ERROR: #<unknown port>:1:271: Unknown # object: #\<

Первый же щелчок мышью.
alterator-vm-0.4-alt2
------- Comment #8 From 2009-03-11 17:31:29 -------
версии сравни.
btw, актуально 0.4.1-alt2